summaryrefslogtreecommitdiff
path: root/qa/980
diff options
context:
space:
mode:
Diffstat (limited to 'qa/980')
-rwxr-xr-xqa/98021
1 files changed, 21 insertions, 0 deletions
diff --git a/qa/980 b/qa/980
new file mode 100755
index 0000000..201d75e
--- /dev/null
+++ b/qa/980
@@ -0,0 +1,21 @@
+#!/bin/sh
+# PCP QA Test No. 980
+# Basic archive mode validation of the Python pmcc module
+# (pmcc -> Performance Metrics Convenience Classes)
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.python
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+python $here/src/test_pmcc.python -a src/pmatop-log.0 >$seq.full 2>&1
+_check_unittest archive $seq.full
+status=$?
+exit